openSUSE Security Update : bzip2 (openSUSE-SU-2010:0684-1)

Medium Nessus Plugin ID 49755


The remote openSUSE host is missing a security update.


This update fixes an integer overflow in the BZ2_decompress function of bzip2/libbz2. This can be exploited via a crafted archive to cause a denial of service or even execute arbitrary code. (CVE-2010-0405)


Update the affected bzip2 packages.

See Also

Plugin Details

Severity: Medium

ID: 49755

File Name: suse_11_2_bzip2-100921.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2010/10/06

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bzip2, p-cpe:/a:novell:opensuse:libbz2-1, p-cpe:/a:novell:opensuse:libbz2-1-32bit, p-cpe:/a:novell:opensuse:libbz2-devel, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/09/21

Reference Information

CVE: CVE-2010-0405

IAVB: 2010-B-0083